﻿using System;
using System.Collections.Generic;
using BuiltToRoam.SocialReader;
using BuiltToRoam.SocialReader.Lists;
using BuiltToRoam.SocialReader.Pages.Main;

namespace $safeprojectname$
{
    public class CustomActivityFilter:IActivityFilter
    {
        public void CreateActivityFilters(List<FilteredActivityList> activityFilters)
        {
            // Optional - Completely custom ActivityFilter
            activityFilters.Add(new FilteredActivityList()
            {
                // Set the list name (ie the header on the panorama item)
                ListName = "Facebook",
                // Determine the filter rule to determine which items go in this list
                FilterRule = (act) => act.FeedSource.Source == Source.Facebook
            });
            activityFilters.Add(new FilteredActivityList()
            {
                ListName = "Twitter",
                FilterRule = (act) => act.FeedSource.Source == Source.Twitter
            });
            activityFilters.Add(new FilteredActivityList()
            {
                ListName = "Blog",
                FilterRule = (act) => act.FeedSource.Source == Source.RSS || act.FeedSource.Source == Source.Atom
            });
        }

      
    }
}
