﻿using BuiltToRoam;
using BuiltToRoam.SocialReader;
using BuiltToRoam.SocialReader.Pages.About;

namespace $safeprojectname$.Pages.About
{
    public class AboutPageViewModel : AboutPageViewModelBase
    {
        public override string ApplicationVersion
        {
            get
            {
                return "Version: " + base.ApplicationVersion;
            }
        }

        public virtual string ApplicationPublisher
        {
            get
            {
                return "Publisher: " + base.ApplicationPublisher;
            }
        }

        public AboutPageViewModel(IRepository repository)
            : base(repository)
        {
        }

        public void LaunchFeedback()
        {
            Utilities.LaunchEmailCompose(this.Repository.Configuration.FeedbackEmailAddress, Utilities.ApplicationTitle + " Feedback");
        }
    }
}
